# barnhill-ij-toolkit

The Barnhill ImageJ Toolkit 
(c) Eric Barnhill 2016 All Rights Reserved.

This package provides some useful tools for ImageJ and Fiji. To install, drag the .jar file located in "dist" to your ImageJ or Fiji plugins folder.

Custom Legend: Design a legend in an independent window using a LUT of your choice and to your own specifications. This plugin is an extension of the Calibration Bar functionality.

Selection To Indices: Converts a 2D ImageJ ROI to index numbers. Enables quick transferring of an ImageJ selection to a Matlab index vector.

Indices to Selection: Converts a Matlab index vector to an ImageJ ROI. Note that the ROI will be a cloud of independent points.

False Discovery Rate: Enables pixel-wise statistical testing, with False Discovery Rate (FDR) control of Family-Wise Error Rate (FWER). 
If you use this plugin in a paper, please cite this publication: 

Barnhill, E., Kennedy, P., Hammer, S., van Beek, E. J., Brown, C., & Roberts, N. (2013). Statistical mapping of the effect of knee extension on thigh muscle viscoelastic properties using magnetic resonance elastography. Physiological measurement, 34(12), 1675.

The Barnhill ImageJ Toolkit is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by the Free Software Foundation, 
either version 3 of the License, or (at your option) any later version.
  
The Barnhill ImageJ Toolkit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details. You should have received a copy of 
the GNU General Public License along with Barnhill ImageJ Toolkit.  If not, see http://www.gnu.org/licenses/ .
 
This code uses software from the Apache Software Foundation. The Apache Software License can be found at: http://www.apache.org/licenses/LICENSE-2.0.txt .
